Revoke
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/app-secrets-admin/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ref": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/app-secrets-admin/revoke"
payload = { "ref": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ref: {appId: '<string>', appResourceTypeId: '<string>', id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/app-secrets-admin/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentialRevocation": {
"state": "CREDENTIAL_REVOCATION_STATE_UNSPECIFIED"
},
"revoked": true
}App Secrets Admin
Revoke
Revoke queues one provider-side revoke for one vended credential.
POST
/
api
/
v1
/
app-secrets-admin
/
revoke
Revoke
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The AppSecretAdminServiceRevokeRequest message.
The AppSecretRef message.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The AppSecretAdminServiceRevokeResponse message.
Was this page helpful?